package cn.com.qmth.scancentral.bean.answersave;

import java.util.List;

import javax.validation.Valid;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

public class AnswerPackageStudent {

    @NotBlank(message = "examNumber不能为空")
    private String examNumber;
    @Valid
    @NotNull(message = "papers不能为空")
    @Size(min = 1, message = "papers不能为空")
    private List<AnswerPaper> papers;

    public String getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(String examNumber) {
        this.examNumber = examNumber;
    }

    public List<AnswerPaper> getPapers() {
        return papers;
    }

    public void setPapers(List<AnswerPaper> papers) {
        this.papers = papers;
    }

}
